All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Mean
Statistical Operations

Primitives for computing the arithmetic mean of all the pixel values in an image. More...

## Mean

Given an image with width and height , the arithmetic mean will be computed as

The mean functions require additional scratch buffer for computations.

### Common parameters for nppiMean functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMask | Mask-Image Pointer.
  nMaskStep | Mask-Image Line Step.
  nCOI | Channel_of_Interest Number.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer Use nppiMeanGetBufferHostSize_XX_XXX to determine the minium number of bytes required.
  pMean | Pointer to the computed mean result.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_COI_ERROR if an invalid channel of interest is specified.s

NppStatus | nppiMean_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image Mean. More...
NppStatus | nppiMean_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image Mean. More...
NppStatus | nppiMean_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed image Mean. More...
NppStatus | nppiMean_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image Mean. More...
NppStatus | nppiMean_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image Mean. More...
NppStatus | nppiMean_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image Mean. More...
NppStatus | nppiMean_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed image Mean. More...
NppStatus | nppiMean_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image Mean. More...
NppStatus | nppiMean_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image Mean. More...
NppStatus | nppiMean_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4])
NppStatus | nppiMean_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image Mean. More...
NppStatus | nppiMean_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4])
NppStatus | nppiMean_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4], NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image Mean. More...
NppStatus | nppiMean_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4])
NppStatus | nppiMean_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image Mean. More...
NppStatus | nppiMean_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[4])
NppStatus | nppiMean_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image Mean ignoring alpha channel. More...
NppStatus | nppiMean_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image Mean ignoring alpha channel. More...
NppStatus | nppiMean_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image Mean ignoring alpha channel. More...
NppStatus | nppiMean_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image Mean ignoring alpha channel. More...
NppStatus | nppiMean_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f aMean[3])
NppStatus | nppiMean_8u_C1MR_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit unsigned image Mean. More...
NppStatus | nppiMean_8u_C1MR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_8s_C1MR_Ctx (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked one-channel 8-bit signed image Mean. More...
NppStatus | nppiMean_8s_C1MR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_16u_C1MR_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked one-channel 16-bit unsigned image Mean. More...
NppStatus | nppiMean_16u_C1MR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_32f_C1MR_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked one-channel 32-bit floating point image Mean. More...
NppStatus | nppiMean_32f_C1MR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_8u_C3CMR_Ctx (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit unsigned image Mean affecting only single channel. More...
NppStatus | nppiMean_8u_C3CMR (const Npp8u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_8s_C3CMR_Ctx (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked three-channel 8-bit signed image Mean affecting only single channel. More...
NppStatus | nppiMean_8s_C3CMR (const Npp8s *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_16u_C3CMR_Ctx (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked three-channel 16-bit unsigned image Mean affecting only single channel. More...
NppStatus | nppiMean_16u_C3CMR (const Npp16u *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean)
NppStatus | nppiMean_32f_C3CMR_Ctx (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean, NppStreamContext nppStreamCtx)
| Masked three-channel 32-bit floating point image Mean affecting only single channel. More...
NppStatus | nppiMean_32f_C3CMR (const Npp32f *pSrc, int nSrcStep, const Npp8u *pMask, int nMaskStep, NppiSize oSizeROI, int nCOI, Npp8u *pDeviceBuffer, Npp64f *pMean)

## MeanGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the Mean primitives.
NppStatus | nppiMeanGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_C1R. More...
NppStatus | nppiMeanGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_C1R. More...
NppStatus | nppiMeanGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16s_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16s_C1R. More...
NppStatus | nppiMeanGetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_C1R. More...
NppStatus | nppiMeanGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_C3R. More...
NppStatus | nppiMeanGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_C3R. More...
NppStatus | nppiMeanGetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16s_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16s_C3R. More...
NppStatus | nppiMeanGetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_C3R. More...
NppStatus | nppiMeanGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_AC4R. More...
NppStatus | nppiMeanGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_AC4R. More...
NppStatus | nppiMeanGetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16s_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16s_AC4R. More...
NppStatus | nppiMeanGetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_AC4R. More...
NppStatus | nppiMeanGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_C4R. More...
NppStatus | nppiMeanGetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_C4R. More...
NppStatus | nppiMeanGetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16s_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16s_C4R. More...
NppStatus | nppiMeanGetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_C4R. More...
NppStatus | nppiMeanGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_C1MR. More...
NppStatus | nppiMeanGetBufferHostSize_8u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8s_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8s_C1MR. More...
NppStatus | nppiMeanGetBufferHostSize_8s_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_C1MR. More...
NppStatus | nppiMeanGetBufferHostSize_16u_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_C1MR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_C1MR. More...
NppStatus | nppiMeanGetBufferHostSize_32f_C1MR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8u_C3CMR. More...
NppStatus | nppiMeanGetBufferHostSize_8u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_8s_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_8s_C3CMR. More...
NppStatus | nppiMeanGetBufferHostSize_8s_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_16u_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_16u_C3CMR. More...
NppStatus | nppiMeanGetBufferHostSize_16u_C3CMR (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMeanGetBufferHostSize_32f_C3CMR_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMean_32f_C3CMR. More...
NppStatus | nppiMeanGetBufferHostSize_32f_C3CMR (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the arithmetic mean of all the pixel values in an image.

## Function Documentation

NppStatus nppiMean_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image Mean ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4]
| ) |  |

NppStatus nppiMean_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image Mean ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_C1MR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_16u_C1MR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 16-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_C3CMR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_16u_C3CMR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 16-bit unsigned image Mean affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4]
| ) |  |

NppStatus nppiMean_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image Mean ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_C1MR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_32f_C1MR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 32-bit floating point image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_C3CMR | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_32f_C3CMR_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 32-bit floating point image Mean affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4]
| ) |  |

NppStatus nppiMean_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8s_C1MR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_8s_C1MR_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit signed image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8s_C3CMR | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_8s_C3CMR_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit signed image Mean affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image Mean ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_C1MR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_8u_C1MR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked one-channel 8-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_C3CMR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean
| ) |  |

NppStatus nppiMean_8u_C3CMR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | const Npp8u * | pMask,
|  | int | nMaskStep,
|  | NppiSize | oSizeROI,
|  | int | nCOI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f * | pMean,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Masked three-channel 8-bit unsigned image Mean affecting only single channel.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3]
| ) |  |

NppStatus nppiMean_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMean_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4]
| ) |  |

NppStatus nppiMean_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp64f | aMean[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image Mean.

For common parameter descriptions, see Common parameters for nppiMean functions.

NppStatus nppiMeanGetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8s_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8s_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8s_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8s_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8s_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8s_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8u_C1MR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_C1MR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_C1MR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_C1R.

### Common parameters for nppiGetBufferHostSize functions include:

NppStatus nppiMeanGetBufferHostSize_8u_C3CMR | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_C3CMR_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_C3CMR.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMeanGetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMeanGetBufferHostSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMean_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2019 NVIDIA Corporation